# Interface CoordSequence

All Superinterfaces:
  `uk.ac.starlink.util.Sequence, uk.ac.starlink.util.Splittable<CoordSequence>`

All Known Implementing Classes:
  `DataPosSequence`

public interface CoordSequence extends uk.ac.starlink.util.Splittable<CoordSequence>, uk.ac.starlink.util.Sequence
Interface for iterating over coordinates. At each step, an N-dimensional coordinate array is available. This sequence is splittable, so suitable in priniciple for parallel processing.

Since:
  13 Seb 2019
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getCoords()`
Returns the array used to store the coordinates for the current position in this sequence.
`boolean`
`next()`
Advances to the next entry.

### Methods inherited from interface uk.ac.starlink.util.Splittable

`split, splittableSize`

## Method Details

### getCoords

double[] getCoords()
Returns the array used to store the coordinates for the current position in this sequence. It contains the coordinates corresponding to the last call of the `next()` method. Its contents before the first call or after a call returning false are undefined.

This method returns the same value throughout the lifetime of this sequence, it's only the contents that change to reflect the current state of the iteration.

### next

boolean next()
Advances to the next entry. No exception is thrown.

Specified by:
  `next` in interface `uk.ac.starlink.util.Sequence`